[**smartclientcore**](README.md) • **Docs**

***

[smartclientcore](modules.md) / [constants/interfaces](constants/interfaces/README.md) / URLConfig

# Interface: URLConfig

## Extends

- [`CoreConfig`](constants/interfaces/interfaces/CoreConfig.md)

## Properties

<a id="adreinsertion" name="adreinsertion"></a>

### adReinsertion

> **adReinsertion**: `object`

<a id="homad" name="homad"></a>

#### homad

> **homad**: `any`

<a id="utils" name="utils"></a>

#### utils

> **utils**: `any`

#### Overrides

[`CoreConfig`](constants/interfaces/interfaces/CoreConfig.md).[`adReinsertion`](constants/interfaces/interfaces/CoreConfig.md#adreinsertion)

***

<a id="adrequestmethod" name="adrequestmethod"></a>

### adRequestMethod

> **adRequestMethod**: `string`

#### Inherited from

[`CoreConfig`](constants/interfaces/interfaces/CoreConfig.md).[`adRequestMethod`](constants/interfaces/interfaces/CoreConfig.md#adrequestmethod)

***

<a id="adsourceselector" name="adsourceselector"></a>

### adSourceSelector

> **adSourceSelector**: `null`

#### Inherited from

[`CoreConfig`](constants/interfaces/interfaces/CoreConfig.md).[`adSourceSelector`](constants/interfaces/interfaces/CoreConfig.md#adsourceselector)

***

<a id="adverification" name="adverification"></a>

### adVerification

> **adVerification**: [`AdVerificationSetup`](constants/interfaces/interfaces/AdVerificationSetup.md)

#### Inherited from

[`CoreConfig`](constants/interfaces/interfaces/CoreConfig.md).[`adVerification`](constants/interfaces/interfaces/CoreConfig.md#adverification)

***

<a id="bitrate" name="bitrate"></a>

### bitrate

> **bitrate**: `number`

***

<a id="blockinsecureurl" name="blockinsecureurl"></a>

### blockInsecureURL

> **blockInsecureURL**: `boolean`

#### Inherited from

[`CoreConfig`](constants/interfaces/interfaces/CoreConfig.md).[`blockInsecureURL`](constants/interfaces/interfaces/CoreConfig.md#blockinsecureurl)

***

<a id="enrichment" name="enrichment"></a>

### enrichment

> **enrichment**: `EnrichmentModel`

***

<a id="issuer" name="issuer"></a>

### issuer

> **issuer**: `string`

***

<a id="maxwrapperdepth" name="maxwrapperdepth"></a>

### maxWrapperDepth

> **maxWrapperDepth**: `number`

#### Inherited from

[`CoreConfig`](constants/interfaces/interfaces/CoreConfig.md).[`maxWrapperDepth`](constants/interfaces/interfaces/CoreConfig.md#maxwrapperdepth)

***

<a id="playerhandlesnonlinear" name="playerhandlesnonlinear"></a>

### playerHandlesNonLinear

> **playerHandlesNonLinear**: `boolean`

#### Inherited from

[`CoreConfig`](constants/interfaces/interfaces/CoreConfig.md).[`playerHandlesNonLinear`](constants/interfaces/interfaces/CoreConfig.md#playerhandlesnonlinear)

***

<a id="response" name="response"></a>

### response

> **response**: `any`

***

<a id="sharevideoelementwithvpaid" name="sharevideoelementwithvpaid"></a>

### shareVideoElementWithVPAID

> **shareVideoElementWithVPAID**: `boolean`

#### Inherited from

[`CoreConfig`](constants/interfaces/interfaces/CoreConfig.md).[`shareVideoElementWithVPAID`](constants/interfaces/interfaces/CoreConfig.md#sharevideoelementwithvpaid)

***

<a id="skipoffset" name="skipoffset"></a>

### skipOffset

> **skipOffset**: `number`

#### Inherited from

[`CoreConfig`](constants/interfaces/interfaces/CoreConfig.md).[`skipOffset`](constants/interfaces/interfaces/CoreConfig.md#skipoffset)

***

<a id="timeouts" name="timeouts"></a>

### timeouts

> **timeouts**: `object`

<a id="adrequest" name="adrequest"></a>

#### adRequest

> **adRequest**: `number`

<a id="adrequestchain" name="adrequestchain"></a>

#### adRequestChain

> **adRequestChain**: `number`

<a id="adslotrequest" name="adslotrequest"></a>

#### adSlotRequest

> **adSlotRequest**: `number`

<a id="contentrequest" name="contentrequest"></a>

#### contentRequest

> **contentRequest**: `number`

<a id="nonlinearmaxduration" name="nonlinearmaxduration"></a>

#### nonlinearMaxDuration

> **nonlinearMaxDuration**: `number`

<a id="videorequest" name="videorequest"></a>

#### videoRequest

> **videoRequest**: `number`

<a id="vpaidreadiness" name="vpaidreadiness"></a>

#### vpaidReadiness

> **vpaidReadiness**: `number`

<a id="vpaidrequest" name="vpaidrequest"></a>

#### vpaidRequest

> **vpaidRequest**: `number`

#### Inherited from

[`CoreConfig`](constants/interfaces/interfaces/CoreConfig.md).[`timeouts`](constants/interfaces/interfaces/CoreConfig.md#timeouts)

***

<a id="trackskippedquartiles" name="trackskippedquartiles"></a>

### trackSkippedQuartiles

> **trackSkippedQuartiles**: `boolean`

#### Inherited from

[`CoreConfig`](constants/interfaces/interfaces/CoreConfig.md).[`trackSkippedQuartiles`](constants/interfaces/interfaces/CoreConfig.md#trackskippedquartiles)

***

<a id="urlhandler" name="urlhandler"></a>

### urlhandler

> **urlhandler**: `any`

***

<a id="viewmode" name="viewmode"></a>

### viewMode

> **viewMode**: `string`

***

<a id="viewability" name="viewability"></a>

### viewability

> **viewability**: `object`

<a id="area" name="area"></a>

#### area

> **area**: `number`

<a id="time" name="time"></a>

#### time

> **time**: `number`

#### Inherited from

[`CoreConfig`](constants/interfaces/interfaces/CoreConfig.md).[`viewability`](constants/interfaces/interfaces/CoreConfig.md#viewability)
