[**smartclientcore**](README.md) • **Docs**

***

[smartclientcore](modules.md) / [constants/interfaces](constants/interfaces/README.md) / PlayerFacade

# Interface: PlayerFacade

## Extends

- [`FacadeBase`](constants/interfaces/interfaces/FacadeBase.md)

## Properties

<a id="currentcontentsource" name="currentcontentsource"></a>

### currentContentSource

> **currentContentSource**: [`CurrentContentSource`](constants/interfaces/interfaces/CurrentContentSource.md)

#### Inherited from

[`FacadeBase`](constants/interfaces/interfaces/FacadeBase.md).[`currentContentSource`](constants/interfaces/interfaces/FacadeBase.md#currentcontentsource)

***

<a id="paused" name="paused"></a>

### paused

> **paused**: `boolean`

#### Inherited from

[`FacadeBase`](constants/interfaces/interfaces/FacadeBase.md).[`paused`](constants/interfaces/interfaces/FacadeBase.md#paused)

***

<a id="volume" name="volume"></a>

### volume

> **volume**: `number`

#### Inherited from

[`FacadeBase`](constants/interfaces/interfaces/FacadeBase.md).[`volume`](constants/interfaces/interfaces/FacadeBase.md#volume)

## Methods

<a id="addeventlistener" name="addeventlistener"></a>

### addEventListener()

> **addEventListener**(`type`, `callback`): `void`

#### Parameters

• **type**: `string`

• **callback**: `Function`

#### Returns

`void`

#### Inherited from

[`FacadeBase`](constants/interfaces/interfaces/FacadeBase.md).[`addEventListener`](constants/interfaces/interfaces/FacadeBase.md#addeventlistener)

***

<a id="getadcurrenttime" name="getadcurrenttime"></a>

### getAdCurrentTime()

> **getAdCurrentTime**(): `number`

#### Returns

`number`

#### Inherited from

[`FacadeBase`](constants/interfaces/interfaces/FacadeBase.md).[`getAdCurrentTime`](constants/interfaces/interfaces/FacadeBase.md#getadcurrenttime)

***

<a id="getadduration" name="getadduration"></a>

### getAdDuration()

> **getAdDuration**(): `number`

#### Returns

`number`

#### Inherited from

[`FacadeBase`](constants/interfaces/interfaces/FacadeBase.md).[`getAdDuration`](constants/interfaces/interfaces/FacadeBase.md#getadduration)

***

<a id="getcontentcurrenttime" name="getcontentcurrenttime"></a>

### getContentCurrentTime()

> **getContentCurrentTime**(): `number`

#### Returns

`number`

#### Inherited from

[`FacadeBase`](constants/interfaces/interfaces/FacadeBase.md).[`getContentCurrentTime`](constants/interfaces/interfaces/FacadeBase.md#getcontentcurrenttime)

***

<a id="getcontentduration" name="getcontentduration"></a>

### getContentDuration()

> **getContentDuration**(): `number`

#### Returns

`number`

#### Inherited from

[`FacadeBase`](constants/interfaces/interfaces/FacadeBase.md).[`getContentDuration`](constants/interfaces/interfaces/FacadeBase.md#getcontentduration)

***

<a id="getcurrentcontentsource" name="getcurrentcontentsource"></a>

### getCurrentContentSource()

> **getCurrentContentSource**(): [`CurrentContentSource`](constants/interfaces/interfaces/CurrentContentSource.md)

#### Returns

[`CurrentContentSource`](constants/interfaces/interfaces/CurrentContentSource.md)

#### Inherited from

[`FacadeBase`](constants/interfaces/interfaces/FacadeBase.md).[`getCurrentContentSource`](constants/interfaces/interfaces/FacadeBase.md#getcurrentcontentsource)

***

<a id="getenvironmentvars" name="getenvironmentvars"></a>

### getEnvironmentVars()

> **getEnvironmentVars**(`adBreakType`): [`EnvironmentVars`](constants/interfaces/interfaces/EnvironmentVars.md)

#### Parameters

• **adBreakType**: `string`

#### Returns

[`EnvironmentVars`](constants/interfaces/interfaces/EnvironmentVars.md)

#### Inherited from

[`FacadeBase`](constants/interfaces/interfaces/FacadeBase.md).[`getEnvironmentVars`](constants/interfaces/interfaces/FacadeBase.md#getenvironmentvars)

***

<a id="getplayerelement" name="getplayerelement"></a>

### getPlayerElement()

> **getPlayerElement**(): `null` \| `HTMLAudioElement` \| `HTMLVideoElement`

#### Returns

`null` \| `HTMLAudioElement` \| `HTMLVideoElement`

#### Inherited from

[`FacadeBase`](constants/interfaces/interfaces/FacadeBase.md).[`getPlayerElement`](constants/interfaces/interfaces/FacadeBase.md#getplayerelement)

***

<a id="getplayersize" name="getplayersize"></a>

### getPlayerSize()

> **getPlayerSize**(): [`ElementSize`](constants/interfaces/interfaces/ElementSize.md)

#### Returns

[`ElementSize`](constants/interfaces/interfaces/ElementSize.md)

#### Inherited from

[`FacadeBase`](constants/interfaces/interfaces/FacadeBase.md).[`getPlayerSize`](constants/interfaces/interfaces/FacadeBase.md#getplayersize)

***

<a id="getviewportsize" name="getviewportsize"></a>

### getViewportSize()

> **getViewportSize**(): [`ElementSize`](constants/interfaces/interfaces/ElementSize.md)

#### Returns

[`ElementSize`](constants/interfaces/interfaces/ElementSize.md)

#### Inherited from

[`FacadeBase`](constants/interfaces/interfaces/FacadeBase.md).[`getViewportSize`](constants/interfaces/interfaces/FacadeBase.md#getviewportsize)

***

<a id="getvolume" name="getvolume"></a>

### getVolume()

> **getVolume**(): `number`

#### Returns

`number`

#### Inherited from

[`FacadeBase`](constants/interfaces/interfaces/FacadeBase.md).[`getVolume`](constants/interfaces/interfaces/FacadeBase.md#getvolume)

***

<a id="handshakeversion" name="handshakeversion"></a>

### handshakeVersion()

> **handshakeVersion**(`apiFacadeVersion`): `string`

#### Parameters

• **apiFacadeVersion**: `string`

#### Returns

`string`

#### Inherited from

[`FacadeBase`](constants/interfaces/interfaces/FacadeBase.md).[`handshakeVersion`](constants/interfaces/interfaces/FacadeBase.md#handshakeversion)

***

<a id="isfullscreen" name="isfullscreen"></a>

### isFullscreen()

> **isFullscreen**(): `boolean`

#### Returns

`boolean`

#### Inherited from

[`FacadeBase`](constants/interfaces/interfaces/FacadeBase.md).[`isFullscreen`](constants/interfaces/interfaces/FacadeBase.md#isfullscreen)

***

<a id="ismuted" name="ismuted"></a>

### isMuted()

> **isMuted**(): `boolean`

#### Returns

`boolean`

#### Inherited from

[`FacadeBase`](constants/interfaces/interfaces/FacadeBase.md).[`isMuted`](constants/interfaces/interfaces/FacadeBase.md#ismuted)

***

<a id="ispaused" name="ispaused"></a>

### isPaused()

> **isPaused**(): `boolean`

#### Returns

`boolean`

#### Inherited from

[`FacadeBase`](constants/interfaces/interfaces/FacadeBase.md).[`isPaused`](constants/interfaces/interfaces/FacadeBase.md#ispaused)

***

<a id="load" name="load"></a>

### load()

> **load**(`url`, `autoPlay`?, `disableSeeking`?): `Promise`\<`void`\>

#### Parameters

• **url**: `string`

• **autoPlay?**: `boolean`

• **disableSeeking?**: `boolean`

#### Returns

`Promise`\<`void`\>

#### Inherited from

[`FacadeBase`](constants/interfaces/interfaces/FacadeBase.md).[`load`](constants/interfaces/interfaces/FacadeBase.md#load)

***

<a id="mute" name="mute"></a>

### mute()

> **mute**(): `Promise`\<`void`\>

#### Returns

`Promise`\<`void`\>

#### Inherited from

[`FacadeBase`](constants/interfaces/interfaces/FacadeBase.md).[`mute`](constants/interfaces/interfaces/FacadeBase.md#mute)

***

<a id="pause" name="pause"></a>

### pause()

> **pause**(): `Promise`\<`void`\>

#### Returns

`Promise`\<`void`\>

#### Inherited from

[`FacadeBase`](constants/interfaces/interfaces/FacadeBase.md).[`pause`](constants/interfaces/interfaces/FacadeBase.md#pause)

***

<a id="play" name="play"></a>

### play()

> **play**(): `Promise`\<`void`\>

#### Returns

`Promise`\<`void`\>

#### Inherited from

[`FacadeBase`](constants/interfaces/interfaces/FacadeBase.md).[`play`](constants/interfaces/interfaces/FacadeBase.md#play)

***

<a id="removeeventlistener" name="removeeventlistener"></a>

### removeEventListener()

> **removeEventListener**(`type`, `callback`): `void`

#### Parameters

• **type**: `string`

• **callback**: `Function`

#### Returns

`void`

#### Inherited from

[`FacadeBase`](constants/interfaces/interfaces/FacadeBase.md).[`removeEventListener`](constants/interfaces/interfaces/FacadeBase.md#removeeventlistener)

***

<a id="restorecontentstate" name="restorecontentstate"></a>

### restoreContentState()

> **restoreContentState**(): `Promise`\<`void`\>

#### Returns

`Promise`\<`void`\>

#### Inherited from

[`FacadeBase`](constants/interfaces/interfaces/FacadeBase.md).[`restoreContentState`](constants/interfaces/interfaces/FacadeBase.md#restorecontentstate)

***

<a id="savecontentstate" name="savecontentstate"></a>

### saveContentState()

> **saveContentState**(): `Promise`\<[`CurrentContentSource`](constants/interfaces/interfaces/CurrentContentSource.md)\>

#### Returns

`Promise`\<[`CurrentContentSource`](constants/interfaces/interfaces/CurrentContentSource.md)\>

#### Inherited from

[`FacadeBase`](constants/interfaces/interfaces/FacadeBase.md).[`saveContentState`](constants/interfaces/interfaces/FacadeBase.md#savecontentstate)

***

<a id="seek" name="seek"></a>

### seek()

> **seek**(`offset`): `Promise`\<`void`\>

#### Parameters

• **offset**: `number`

#### Returns

`Promise`\<`void`\>

#### Inherited from

[`FacadeBase`](constants/interfaces/interfaces/FacadeBase.md).[`seek`](constants/interfaces/interfaces/FacadeBase.md#seek)

***

<a id="setvolume" name="setvolume"></a>

### setVolume()

> **setVolume**(`volume`): `Promise`\<`void`\>

#### Parameters

• **volume**: `number`

#### Returns

`Promise`\<`void`\>

#### Inherited from

[`FacadeBase`](constants/interfaces/interfaces/FacadeBase.md).[`setVolume`](constants/interfaces/interfaces/FacadeBase.md#setvolume)

***

<a id="unmute" name="unmute"></a>

### unmute()

> **unmute**(): `Promise`\<`void`\>

#### Returns

`Promise`\<`void`\>

#### Inherited from

[`FacadeBase`](constants/interfaces/interfaces/FacadeBase.md).[`unmute`](constants/interfaces/interfaces/FacadeBase.md#unmute)
